From c2a4c78a13ab53df4bb5718ca549ecde4e1fe116 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 21 2020 23:55:31 +0000
Subject: [PATCH 1772/2232] Inline Pair construction


---

diff --git a/gen/src/nested.rs b/gen/src/nested.rs
index c6c7921..abc9670 100644
--- a/gen/src/nested.rs
+++ b/gen/src/nested.rs
@@ -131,7 +131,11 @@ mod tests {
             doc: Doc::new(),
             derives: Vec::new(),
             type_token: Token![type](Span::call_site()),
-            name: Pair::new(ns, ident.clone(), ident),
+            name: Pair {
+                namespace: ns,
+                cxx: ident.clone(),
+                rust: ident,
+            },
             colon_token: None,
             bounds: Vec::new(),
             semi_token: Token![;](Span::call_site()),
diff --git a/syntax/names.rs b/syntax/names.rs
index 09169cb..ec93c3d 100644
--- a/syntax/names.rs
+++ b/syntax/names.rs
@@ -1,16 +1,8 @@
-use crate::syntax::{Namespace, Pair, RustName, Symbol, Types};
+use crate::syntax::{Pair, RustName, Symbol, Types};
 use proc_macro2::{Ident, Span};
 use std::iter;
 
 impl Pair {
-    pub fn new(namespace: Namespace, cxx: Ident, rust: Ident) -> Self {
-        Pair {
-            namespace,
-            cxx,
-            rust,
-        }
-    }
-
     pub fn to_symbol(&self) -> Symbol {
         Symbol::from_idents(self.iter_all_segments())
     }
diff --git a/syntax/parse.rs b/syntax/parse.rs
index 9c766ff..d79ba32 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -1047,9 +1047,9 @@ fn parse_return_type(
 
 fn pair(namespace: Namespace, default: &Ident, cxx: Option<Ident>, rust: Option<Ident>) -> Pair {
     let default = || default.clone();
-    Pair::new(
+    Pair {
         namespace,
-        cxx.unwrap_or_else(default),
-        rust.unwrap_or_else(default),
-    )
+        cxx: cxx.unwrap_or_else(default),
+        rust: rust.unwrap_or_else(default),
+    }
 }

